DH_MOVEFILES(1)

NOM
dh_movefiles - Déplacer des fichiers depuis debian/tmp dans des sous-paquets

SYNOPSIS
dh_movefiles [options_de_debhelper] [--sourcedir=répertoire] [-Xélément] [fichier ...]

DESCRIPTION
dh_movefiles est le programme de la suite debhelper chargé du déplacement des fichiers depuis debian/tmp ou depuis un autre répertoire vers un autre répertoire de construction du paquet. Cela peut être utile si le paquet a un Makefile qui implante tout dans debian/tmp et qu'il est nécessaire d'éclater cela dans plusieurs sous-paquets.

Nota : dh_install est un bien meilleur programme. Il est recommandé de l'utiliser plutôt que dh_movefiles.

FICHIERS

debian/paquet.files
    Énumère, en les séparant par un blanc (whitespace), les fichiers à déplacer dans un paquet. Les noms des fichiers doivent être relatifs à debian/tmp/. On peut aussi indiquer des noms de répertoire. Dans ce cas le répertoire complet sera déplacé.

OPTIONS

--sourcedir=répertoire
    Au lieu de déplacer les fichiers depuis debian/tmp (comportement par défaut), cette option permet les déplacements à partir d'un autre répertoire. Puisque le contenu entier du répertoire source est déplacé, le fait d'indiquer quelque chose comme --sourcedir=/ serait très dangereux. Aussi, pour empêcher ces erreurs, le répertoire source doit être un nom de fichier relatif. Il ne peut donc pas commencer par « / ».

-Xélément, --exclude=élément
    Exclut du traitement les fichiers qui comportent élément n'importe où dans leur nom.

fichier ...
    Énumère les fichiers à déplacer. Les noms de fichiers indiqués doivent être relatifs à debian/tmp/. Il est également possible d'indiquer un nom de répertoire. Dans ce cas, le répertoire complet sera déplacé. C'est une erreur d'indiquer ici des noms de fichiers sauf avec les options -p, -i ou -a pour indiquer à dh_movefiles dans quel sous-paquet les mettre.

REMARQUES
Nota : Les fichiers sont, par défaut, toujours déplacés depuis debian/tmp (même s'il a été demandé à debhelper d'utiliser un niveau de compatibilité supérieur à 1, ce qui induit que debian/tmp n'est utilisé pour rien d'autre). L'idée sous-jacente est que le paquet en construction peut s'installer dans debian/tmp, et qu'alors les fichiers peuvent être déplacés par dh_movefiles à partir de là. Tous les fichiers ou répertoires qui resteront seront ignorés et supprimés ultérieurement par dh_clean.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».